org.jbpm.casemgmt.impl.admin

## Class CaseInstanceMigrationServiceImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.admin.CaseInstanceMigrationServiceImpl

- All Implemented Interfaces:
    CaseInstanceMigrationService

      public class CaseInstanceMigrationServiceImpl
      extends Object
      implements CaseInstanceMigrationService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseInstanceMigrationServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<Long,ProcessInstanceDesc>` | `mapProcessInstances(Collection<ProcessInstanceDesc> processes)`
    `CaseMigrationReport` | `migrate(String caseId, String targetDeploymentId, Map<String,String> processMapping)`
    `CaseMigrationReport` | `migrate(String caseId, String targetDeploymentId, Map<String,String> processMapping, Map<String,String> nodeMapping)`
    `void` | `setCaseRuntimeDataService(CaseRuntimeDataService caseRuntimeDataService)`
    `void` | `setCommandService(TransactionalCommandService commandService)`
    `void` | `setProcessInstanceMigrationService(ProcessInstanceMigrationService processInstanceMigrationService)`
    `void` | `setProcessService(ProcessService processService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseInstanceMigrationServiceImpl

          public CaseInstanceMigrationServiceImpl()

  - ### Method Detail

    - #### setProcessService

          public void setProcessService(ProcessService processService)

    - #### setCaseRuntimeDataService

          public void setCaseRuntimeDataService(CaseRuntimeDataService caseRuntimeDataService)

    - #### setProcessInstanceMigrationService

          public void setProcessInstanceMigrationService(ProcessInstanceMigrationService processInstanceMigrationService)

    - #### setCommandService

          public void setCommandService(TransactionalCommandService commandService)

    - #### migrate

          public CaseMigrationReport migrate(String caseId,
                                             String targetDeploymentId,
                                             Map<String,String> processMapping)

      Specified by:
        `migrate` in interface `CaseInstanceMigrationService`

    - #### migrate

          public CaseMigrationReport migrate(String caseId,
                                             String targetDeploymentId,
                                             Map<String,String> processMapping,
                                             Map<String,String> nodeMapping)

      Specified by:
        `migrate` in interface `CaseInstanceMigrationService`

    - #### mapProcessInstances

          protected Map<Long,ProcessInstanceDesc> mapProcessInstances(Collection<ProcessInstanceDesc> processes)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.